# Uses of Class
java.lang.ClassCastException

Packages that use ClassCastException
Package
Description
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.
org.w3c.dom.bootstrap
Provides a factory for obtaining instances of `DOMImplementation`.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of ClassCastException in java.lang.invoke

Methods in java.lang.invoke that throw ClassCastException
Modifier and Type
Method
Description
`static Object`
ConstantBootstraps.`explicitCast​(MethodHandles.Lookup lookup, String name, Class<?> dstType, Object value)`
Applies a conversion from a source type to a destination type.

## Uses of ClassCastException in org.w3c.dom.bootstrap

Methods in org.w3c.dom.bootstrap that throw ClassCastException
Modifier and Type
Method
Description
`static DOMImplementationRegistry`
DOMImplementationRegistry.`newInstance()`
Obtain a new instance of a `DOMImplementationRegistry`.

## Uses of ClassCastException in org.xml.sax.helpers

Methods in org.xml.sax.helpers that throw ClassCastException
Modifier and Type
Method
Description
`static Parser`
ParserFactory.`makeParser()`
Deprecated.
Create a new SAX parser using the `org.xml.sax.parser' system property.
`static Parser`
ParserFactory.`makeParser​(String className)`
Deprecated.
Create a new SAX parser object using the class name provided.